import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserCreateNestedOneWithoutInsuranceContactsInputObjectSchema as UserCreateNestedOneWithoutInsuranceContactsInputObjectSchema } from './UserCreateNestedOneWithoutInsuranceContactsInput.schema'

const makeSchema = () => z.object({
  name: z.string(),
  phoneNumber: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutInsuranceContactsInputObjectSchema)
}).strict();
export const InsuranceContactCreateInputObjectSchema: z.ZodType<Prisma.InsuranceContactCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactCreateInput>;
export const InsuranceContactCreateInputObjectZodSchema = makeSchema();
